What's the last version of Rails that lets you...

Actually I believe that you can do it with Rails 2.0.x IF you install
the scaffolding plugin.

But then there are probably other things in that video which would be
different on 2.0